# Class ScriptFunction

java.lang.Object
org.jmol.script.ScriptFunction

All Implemented Interfaces:
  `JmolScriptFunction`

Direct Known Subclasses:
  `ScriptParallelProcessor`

public class ScriptFunction extends Object implements JmolScriptFunction

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`typeName`

## Constructor Summary

Constructors
Modifier
Constructor
Description
``
`ScriptFunction()`
`protected`
`ScriptFunction(String name, int tok)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
`Object`
`geTokens()`
`String`
`getSignature()`
`int`
`getTok()`
`void`
`set(String name, int tok)`
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### typeName

protected String typeName

## Constructor Details

### ScriptFunction

public ScriptFunction()

### ScriptFunction

protected ScriptFunction(String name, int tok)

## Method Details

### set

public void set(String name, int tok)

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### getSignature

public String getSignature()

Specified by:
  `getSignature` in interface `JmolScriptFunction`

### geTokens

public Object geTokens()

Specified by:
  `geTokens` in interface `JmolScriptFunction`

### getName

public String getName()

Specified by:
  `getName` in interface `JmolScriptFunction`

### getTok

public int getTok()

Specified by:
  `getTok` in interface `JmolScriptFunction`